## libosso 0.8.9-1

=== debian/changelog ===
libosso (0.8.9-1) unstable; urgency=low

  * Fixed #4328 (Update DSM features in libosso)
  * Fixed #2998 (State saving file should be in /tmp)

 -- First Release <Nokia>  Thu, 31 Mar 2005 21:26:31 +0300

libosso (0.8.8-1) unstable; urgency=low

  * osso-rpc.c: Send signal to Task Navigator when launching an
    application

libosso (0.8.7-1) unstable; urgency=low

  * Fixed #5369 (LGPL licence etc. missing)

libosso (0.8.6-1) unstable; urgency=low

  * Fixed bug #5819 (Tries to make a directory on the system tree)
  * Fixed #5292 (osso logging macros shouldn't be compiled at all when
    DEBUG is not defined)
  * Added -version-info for correct library versioning
  * 0.8.7-1 Fixed bug #5369 (LGPL licence etc. missing)

libosso (0.8.5-15) unstable; urgency=low

  * Nightly build

libosso (0.8.5-14) unstable; urgency=low

  * Nightly build

libosso (0.8.5-13) unstable; urgency=low

  * Nightly build

libosso (0.8.5-12) unstable; urgency=low

  * Nightly build

libosso (0.8.5-11) unstable; urgency=low

  * Nightly build

libosso (0.8.5-10) unstable; urgency=low

  * Nightly build

libosso (0.8.5-9) unstable; urgency=low

  * Nightly build

libosso (0.8.5-8) unstable; urgency=low

  * Nightly build

libosso (0.8.5-7) unstable; urgency=low

  * Nightly build

libosso (0.8.5-6) unstable; urgency=low

  * Nightly build

libosso (0.8.5-5) unstable; urgency=low

  * Nightly build

libosso (0.8.5-4) unstable; urgency=low

  * Nightly build

libosso (0.8.5-3) unstable; urgency=low

  * Nightly build

libosso (0.8.5-2) unstable; urgency=low

  * Nightly build

libosso (0.8.5-1) unstable; urgency=low

  * Release 0.8.5

libosso (0.8.4-11) unstable; urgency=low

  * Nightly build

libosso (0.8.4-10) unstable; urgency=low

  * Nightly build

libosso (0.8.4-9) unstable; urgency=low

  * Nightly build

libosso (0.8.4-8) unstable; urgency=low

  * Nightly build

libosso (0.8.4-7) unstable; urgency=low

  * Nightly build

libosso (0.8.4-6) unstable; urgency=low

  * Nightly build

libosso (0.8.4-5) unstable; urgency=low

  * Nightly build

libosso (0.8.4-4) unstable; urgency=low

  * Nightly build

libosso (0.8.4-3) unstable; urgency=low

  * Nightly build

libosso (0.8.4-2) unstable; urgency=low

  * Nightly build

libosso (0.8.4-1) unstable; urgency=low

  * Teema 0.8.4 Release

libosso (0.8.3-12) unstable; urgency=low

  * Nightly build

libosso (0.8.3-11) unstable; urgency=low

  * Nightly build

libosso (0.8.3-10) unstable; urgency=low

  * Nightly build

libosso (0.8.3-9) unstable; urgency=low

  * Nightly build

libosso (0.8.3-8) unstable; urgency=low

  * Nightly build

libosso (0.8.3-7) unstable; urgency=low

  * Nightly build

libosso (0.8.3-6) unstable; urgency=low

  * Nightly build

libosso (0.8.3-5) unstable; urgency=low

  * Nightly build

libosso (0.8.3-4) unstable; urgency=low

  * Nightly build

libosso (0.8.3-3) unstable; urgency=low

  * Nightly build

libosso (0.8.3-2) unstable; urgency=low

  * Nightly build

libosso (0.8.3-1) unstable; urgency=low

  * Release 0.8.3

libosso (0.8.2-5) unstable; urgency=low

  * Nightly build

libosso (0.8.2-4) unstable; urgency=low

  * Nightly build

libosso (0.8.2-3) unstable; urgency=low

  * Nightly build

libosso (0.8.2-2) unstable; urgency=low

  * Nightly build

libosso (0.8.2-1) unstable; urgency=low

  * Release 0.8.2

libosso (0.8.1-5) unstable; urgency=low

  * Nightly build

libosso (0.8.1-4) unstable; urgency=low

  * Nightly build

libosso (0.8.1-3) unstable; urgency=low

  * Nightly build

libosso (0.8.1-2) unstable; urgency=low

  * Nightly build

libosso (0.8.1-1) unstable; urgency=low

  * Teema 0.8.1 release

libosso (0.8.0pre1.2-1) unstable; urgency=low

  * Actual API change 

libosso (0.8.0pre1.1-1) unstable; urgency=low

  * API changed back regarding osso_cp_plugin_execute

libosso (0.8.0pre1-1) unstable; urgency=low

  * Teema 0.8.0pre1 release

libosso (0.7.6-2) unstable; urgency=low

  * Removed gnomeVFS dependancy

libosso (0.7.6-1) unstable; urgency=low

  * Teema 0.7.6 release

libosso (0.7.5-1) unstable; urgency=low

  * Teema 0.7.5 release

libosso (0.7.4-1) unstable; urgency=low

  * Teema 0.7.4 release

 

libosso (0.7.3-1) unstable; urgency=low

  * Teema 0.7.3 release

 

libosso (0.7.2-1) unstable; urgency=low

  * Teema 0.7.2 release

libosso (0.7.1-1) unstable; urgency=low

  * Teema 0.7.1 release

libosso (0.0.4-1) unstable; urgency=low

  * Initial

libosso (0.0.3-1) unstable; urgency=low

  * Initial

libosso (0.0.2-1) unstable; urgency=low

  * Initial

libosso (0.0.1-1) unstable; urgency=low

  * Initial
