=== debian/control ===
Source: libosso
Section: x11
Priority: optional
Maintainer: Kimmo Hamalainen <kimmo.hamalainens@nokia.com>
Build-Depends: debhelper (>= 4.0.0), outo, dbus-glib-1-dev
Standards-Version: 3.6.0

Package: libosso-dev
Section: devel
Architecture: any
Depends: libosso1 (= ${Source-Version}), dbus-glib-1-dev
Description: LibOSSO development files

Package: libosso1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libosso-dbus-conf
Description: LibOSSO libraries

Package: libosso-test
Section: libs
Priority: optional
Architecture: any
Conflicts: libosso0 (<< 0.8.6-1)
Replaces: libosso0 (<< 0.8.6-1)
Depends: libosso1 (= ${Source-Version}) , dbus-glib-1-dev, outo
Description: LibOSSO libraries unit tests

Package: libosso-dbus-conf
Section: base
Priority: optional
Conflicts: libosso0 (<< 0.8.6-1)
Replaces: libosso0 (<< 0.8.6-1)
Architecture: any
Description: LibOSSO D-BUS configuration settings

Package: libosso1-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libosso-dbus-conf
Description: LibOSSO libraries (with debug info)
