## libosso 1.14-1

=== debian/changelog ===
libosso (1.14-1) unstable; urgency=low

  * Fixed osso_mem_saw to use the high watermark instead of the deny watermark
    (N#32122).
  * New function osso_mem_in_lowmem_state().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 08 Jun 2006 15:27:32 +0300

libosso (1.13-1) unstable; urgency=low

  * Removed the 'or later' part from licenses.
  * Now calling the low-memory callback also when it is registered (N#32044).
  * Put more warnings about brokenness of osso_time_set().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 07 Jun 2006 20:10:26 +0300

libosso (1.12-1) unstable; urgency=low

  * Fixed memory leak in osso->cp_plugins (N#26473).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 26 May 2006 16:33:17 +0300

libosso (1.11-1) unstable; urgency=low

  * Removed the fixed number of mime arguments limitation (N#25395).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 10 May 2006 10:29:20 +0300

libosso (1.10-1) unstable; urgency=low

  * Applied patch from Jari Tenhunen for allowing services not beginning
    with 'com.nokia' (N#28782).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 05 May 2006 16:35:09 +0300

libosso (1.9-1) unstable; urgency=low

  * osso_run_async_with_argfill is now visible (N#27828).
  * Lintian fixes.
  * osso-mem cleanup patch from Leonid (N#27012).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 26 Apr 2006 13:42:57 +0300

libosso (1.8-1) unstable; urgency=low

  * Packaging fixes.
  * Removed compilation of logging code.
  * Additional API from Marius for Python bindings (N#26964).
  * Added support for building with thumb instructions.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 24 Apr 2006 10:12:44 +0300

libosso (1.7-1) unstable; urgency=low

  * Fixed problem with osso_mem_* in Scratchbox (N#20647).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 13 Mar 2006 18:09:53 +0200

libosso (1.6-1) unstable; urgency=low

  * Fixed DBus porting bug in osso_time_set (N#23725).
  * Added checking of _write_state return value (N#23248).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 07 Mar 2006 13:07:32 +0200

libosso (1.5-1) unstable; urgency=low

  * Added osso_rpc_run_system().
  * Removed environment variable passing code from the top message.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 06 Mar 2006 12:55:41 +0200

libosso (1.4-1) unstable; urgency=low

  * Removed hidden attribute for appname_to_valid_path_component(),
    because GCC 3.4 did not like it.
  * Fixed illegal frees in osso-mime.c (N#23108).
  * Mime struct in osso context is now allocated with the context.
  * Autosave struct in osso context is now allocated with the context.
  * osso_application_set_exit_cb moved to deprecated API in libosso.h.
  * Application name and version are now stored to fixed-sized buffer.
  * object_path in osso context is now stored to fixed-sized buffer.
  * Removed unit tests for the exit callback.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 24 Feb 2006 19:23:14 +0200

libosso (1.3-1) unstable; urgency=low

  * Fixed calling of dbus_bus_request_name DBus function (N#22620).
  * Fixed calling of dbus_connection_register_object_path -- error needed
    ignoring (N#22620).
  * Logging redirected to stderr, since there's no syslogd now.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 06 Feb 2006 14:25:35 +0200

libosso (1.2-1) unstable; urgency=low

  * Re-run autogen.sh to get LIBOSSO_DEBUG undefined.
  * Applied patch to osso-mem.c to fix swap issue (N#22468).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 30 Jan 2006 17:34:36 +0200

libosso (1.1-1) unstable; urgency=low

  * '.' is now accepted in application names (N#22416).
  * Replaced some 'free' with 'g_free'.
  * Added some internal validation functions.
  * More minimalist version numbering.
  * Removed irritating massive debug output.
  * Found and plugged some memory leaks from osso-rpc.c and osso-cp-plugin.
  * Added some error logging and coding style improvements in osso-rpc.c.
  * Using now RTLD_LAZY in osso-cp-plugin dlopen().
  * Removed some dbus_connection_flushes from osso-rpc.c.
  * Fixed memory leak in osso-init.c (N#18850).
  * Fixed memory leak when setting callback for time notification (N#21059).
  * Removed the effect of osso_initialize's 'activation' argument -- now
    Libosso always connects to both session and system bus.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 25 Jan 2006 19:44:00 +0200

libosso (1.0.2-2) unstable; urgency=low

  * Improved documentation for osso_initialize to include facts about
    the D-BUS service name and its relation to the desktop file.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 18 Jan 2006 13:26:54 +0200

libosso (1.0.2-1) unstable; urgency=low

  * Ported for v0.60 dbus.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Dec 2005 14:13:56 +0200

libosso (1.0.1-1) unstable; urgency=low

  * Fixed bug about passing empty strings with osso_rpc.
  * Fixed some osso_rpc_* unit tests.
  * Fixed porting bugs in osso-rpc.c.
  * Now calling the callback also on error when using async RPC.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 05 Dec 2005 18:09:42 +0200

libosso (1.0.0-1) unstable; urgency=low

  * Ported to new v0.50 dbus.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 04 Nov 2005 16:11:14 +0200

libosso (0.10.0-1) unstable; urgency=low

  * Packaged 0.10.0.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 18 Oct 2005 21:17:35 +0300
