## libosso 1.20-1

=== debian/changelog ===
libosso (1.20-1) unstable; urgency=low

  * Compilation fixes from Murray Cummings <murrayc@murrayc.com>.
    Fixes: MB#795
  * Added content to the README file because of a sudden popular demand.
  * Added more untested muali code (it's not in use yet).
  * Copyright header fixes in unit testing code. Fixes: NB#42519

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 06 Oct 2006 17:48:21 +0300

libosso (1.19-1) unstable; urgency=low

  * Added calling ldconfig to postinst.
  * More fixes to copyright headers. Fixes: NB#40918
  * Added more deprecation warnings to osso_application_set_exit_cb().
  * Fixed the state reading function once again. Fixes: NB#41325
  * Now checking whether the MIME handler really existed when unsetting
    it. Fixes: NB#41082
  * Fixed the debug package to be new-style. Fixes: NB#41394
  * Fixed possible memory leak in osso-state.c when reading the state fails.
  * Fixes to debian/copyright and debian/control.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 28 Sep 2006 12:33:29 +0300

libosso (1.18-1) unstable; urgency=low

  * Added postinst script for calling ldconfig.
  * Fixed problems in supporting non-com.nokia-prefixed services.
    Fixes: NB#31831, NB#32067
  * Added more warning flags to compilation and fixed warnings.
  * Added optimisation to service registration so that registering the
    default service name is not tried more than once.
  * Message handling was rewritten: unregistering message and signal
    handlers should now be more predictable.
  * Removed redundant dbus_connection_register_object_path() calls made
    in osso-init.c and osso-rpc.c (there is a filter so those are redundant).
  * Fixed a brain-damage in appname_to_valid_path_component().

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 15 Sep 2006 18:14:51 +0300

libosso (1.17-1) unstable; urgency=low

  * Added detailed instructions for implementing state saving and autosaving
    to libosso.h (finally).
  * Fixed sometimes occurring infinite loop in _read_state() and added
    some missing EINTR handling. Fixes: NB#38937

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 04 Sep 2006 19:30:51 +0300

libosso (1.16-1) unstable; urgency=low

  * Modified Control Panel plugin startup so that single instance can be
    achieved. The patch came from Johan Bilien. Fixes: NB#25238
  * Fixed several possible memory leaks in osso-rpc.c. Fixes: NB#34403
  * Fixed the osso_time_set() to actually send a signal about time change.
    Fixes: NB#35824
  * Fixed compilation problem with GCC4.1. Fixes: NB#33996
  * Fixed parameter check in osso_display_blanking_pause(). Fixes: NB#36576
  * Fixed parameter check in osso_display_state_on(). Fixes: NB#36578
  * Fixed OSSO_CFLAGS so that it preserves debug symbols as it should
    (dh_strip will strip them for right packages anyway).
  * Added two small test executables to the ut directory.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 10 Aug 2006 17:53:57 +0300

libosso (1.15-1) unstable; urgency=low

  * Removed dbus_connection_unref()s, because they make DBus asserts fail
    Fixes: NB#32642.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 14 Jun 2006 14:39:33 +0300
