=== debian/control ===
Source: libosso
Section: x11
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), outo, libdbus-glib-1-dev (>=0.61-osso18), libglib2.0-dev
Standards-Version: 3.6.0

Package: libosso-dev
Section: devel
Architecture: any
Depends: libosso1 (= ${Source-Version}), libdbus-glib-1-dev
Description: Libosso development files
 Libosso header files for development.

Package: libosso1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libosso-dbus-conf
Description: Libosso library
 Libosso contains D-Bus-related functionality for Maemo applications.

Package: libosso-test
Section: libs
Priority: optional
Architecture: any
Conflicts: libosso0 (<< 0.8.6-1)
Replaces: libosso0 (<< 0.8.6-1)
Depends: libosso1 (= ${Source-Version}), libdbus-glib-1-dev, outo
Description: Libosso unit tests
 Libosso unit tests stuff.

Package: libosso-dbus-conf
Section: base
Priority: optional
Conflicts: libosso0 (<< 0.8.6-1)
Replaces: libosso0 (<< 0.8.6-1)
Architecture: all
Description: Libosso D-Bus configuration settings for Scratchbox.
 Libosso D-Bus configuration settings for Scratchbox environment.

Package: libosso1-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libosso1 (= ${Source-Version})
Description: Libosso library debug info
 Debug symbols and stuff for the Libosso library.
