=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall -g -ansi -Werror -Wshadow
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -79,9 +79,9 @@
 	rm -f $(CURDIR)/debian/build/usr/lib/outo/*.*a
 
 	# for the -dbg package
-	-rm -rf $(CURDIR)/debian/build/usr/lib/debug
-	-mkdir -p $(CURDIR)/debian/build/usr/lib/debug
-	-cp -vd $(CURDIR)/debian/build/usr/lib/lib*.so* $(CURDIR)/debian/build/usr/lib/debug
+#	-rm -rf $(CURDIR)/debian/build/usr/lib/debug
+#	-mkdir -p $(CURDIR)/debian/build/usr/lib/debug
+#	-cp -vd $(CURDIR)/debian/build/usr/lib/lib*.so* $(CURDIR)/debian/build/usr/lib/debug
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -106,7 +106,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip --dbg-package="libosso1-dbg"
+	dh_strip --dbg-package=libosso1
 	dh_compress
 	dh_fixperms
 #	dh_perl
