## libosso 2.0-1

=== debian/changelog ===
libosso (2.0-1) unstable; urgency=low

  * Branched the code (1.x branch is the maintenance branch).
  * Compilation fixes for the case that LIBOSSO_DEBUG is defined.
  * Const keyword fixes from Murray Cumming <murrayc@murrayc.com>.
    Fixes: MB#795
  * Enabled the muali filter and fixed a crash in it.
  * Did fixes to configure.ac and Makefile.ams.
  * The unit tests are not built if outo is not present -> outo is now
    optional. Fixes: MB#824
  * Added super-cool syslog-logging and stderr-logging configure options.
  * Added libosso1-doc documentation package (and dependency to doxygen).
  * Split muali_set_event_handler to two functions to make API more easy
    to use.
  * Made lot of muali development, design fixes, and tested code.
  * Implemented muali_reply_string (not sure if *_string functions make
    sense...) and muali_reply_error.
  * The old API does not use muali filter anymore.
  * Removed unused API (as part of Hildon API cleanup): osso_tasknav_* and
    osso_application_initialize.
  * (Contains some untested and experimental muali code.)

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 22 Jan 2007 18:11:52 +0200
