## libosso 2.2-1

=== debian/changelog ===
libosso (2.2-1) unstable; urgency=low

  * New API from Gabriel for detecting language change.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 02 Mar 2007 18:13:07 +0200
