=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), outo, libdbus-glib-1-dev (>=0.61-osso18), libglib2.0-dev
+Build-Depends: debhelper (>= 4.0.0), libdbus-glib-1-dev (>=0.61-osso18), libglib2.0-dev, doxygen
 Standards-Version: 3.6.0
 
 Package: libosso-dev
@@ -15,7 +15,7 @@
 Package: libosso1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libosso-dbus-conf
+Depends: ${shlibs:Depends}, libosso-dbus-conf
 Description: Libosso library
  Libosso contains D-Bus-related functionality for Maemo applications.
 
@@ -41,6 +41,12 @@
 Package: libosso1-dbg
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libosso1 (= ${Source-Version})
+Depends: libosso1 (= ${Source-Version})
 Description: Libosso library debug info
  Debug symbols and stuff for the Libosso library.
+
+Package: libosso1-doc
+Section: doc
+Architecture: any
+Description: Libosso API documentation
+ Libosso API documentation.
