## libosso 2.3-1

=== debian/changelog ===
libosso (2.3-1) unstable; urgency=low

  * New API (osso_hw_set_display_event_cb) for catching the MCE display
    signal.
  * Now using and depending on mce-dev.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 21 Mar 2007 14:05:10 +0200
