## libosso 2.4-1

=== debian/changelog ===
libosso (2.4-1) unstable; urgency=low

  * Bring back osso_application_set_exit_cb(), osso_state_open_write(),
    osso_state_open_read(), osso_state_close() to stay binary compatible.
  * Added check for mce-dev to configure.ac.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 28 Mar 2007 10:56:11 +0300
