## libosso 2.5-1

=== debian/changelog ===
libosso (2.5-1) unstable; urgency=low

  * Resident Plugin I patch from Johan Bilien (MB#1184).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 30 Mar 2007 16:57:34 +0300
