=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libdbus-glib-1-dev (>=0.61-osso18), libglib2.0-dev, doxygen
+Build-Depends: debhelper (>= 4.0.0), libdbus-glib-1-dev (>=0.61-osso18), libglib2.0-dev, doxygen, mce-dev (>= 1.5.6)
 Standards-Version: 3.6.0
 
 Package: libosso-dev
