=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g -ansi -Werror -Wshadow
+CFLAGS = -Wall -g -ansi -Werror -Wshadow -D_GNU_SOURCE
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -48,6 +48,7 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
+	$(MAKE) doxygen
 
 	touch build-stamp
