## libosso 2.6-1

=== debian/changelog ===
libosso (2.6-1) unstable; urgency=low

  * Fixed typos and referring to DBUS_TYPE_NIL in libosso.h documentation.
  * Now sending an empty reply message after a MIME handler was called.
  * Now returning DBUS_HANDLER_RESULT_HANDLED for handled method calls,
    avoiding an error message generated by the D-Bus library. Fixes: NB#54026
  * Removed warning to stderr when registering method handler for the
    same interface etc.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 Apr 2007 18:07:32 +0300
