## libosso 2.8-1

=== debian/changelog ===
libosso (2.8-1) unstable; urgency=low

  * Moved to the new org.freedesktop.Notifications API. Affects
    osso_system_note_dialog and osso_system_note_infoprint.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 15 May 2007 13:39:03 +0300
