## libosso 2.8-1ubuntu2

=== debian/changelog ===
libosso (2.8-1ubuntu2) gutsy; urgency=low

  * Use %zu for printing size_t information in osso-mem.c.  This should
    fix it to actually compile on both i386 and amd64.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 21 May 2007 10:46:42 +0200

libosso (2.8-1ubuntu1) gutsy; urgency=low

  * Use GINT_TO_POINTER rather than just trying to cast, since the current
    approach didn't work correctly on AMD64.
  * dbus_connection_send (in osso-rpc.c) takes an unsigned int, not a
    signed one.  Make sure to use an unsigned one.
  * Use print statements from inttypes.h in osso-mem.c to make this
    compile correctly on both AMD64 and i386.
  * Add reference to where the full LGPL can be found, in
    debian/copyright.
  * Add a reference to where the code can be found to debian/copyright.
  * Bring the package up to debhelper v5.
  * Install into debian/tmp rather than debian/build, this makes the clean
    rule in debian/rules much happier and actually removes the installed
    tree.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 18 May 2007 09:29:44 +0200
