=== debian/rules ===
--- 
+++ 
@@ -27,15 +27,6 @@
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -mthumb
 endif
-
-# shared library versions, option 1
-version=2.0.5
-major=2
-# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
-#version=`ls src/.libs/lib*.so.* | \
-# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
-#major=`ls src/.libs/lib*.so.* | \
-# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
 config.status: configure
 	dh_testdir
@@ -75,14 +66,9 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/build
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
-	rm -f $(CURDIR)/debian/build/usr/lib/outo/*.*a
-
-	# for the -dbg package
-#	-rm -rf $(CURDIR)/debian/build/usr/lib/debug
-#	-mkdir -p $(CURDIR)/debian/build/usr/lib/debug
-#	-cp -vd $(CURDIR)/debian/build/usr/lib/lib*.so* $(CURDIR)/debian/build/usr/lib/debug
+	# Add here commands to install the package into debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+#	rm -f $(CURDIR)/debian/build/usr/lib/outo/*.*a
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -95,7 +81,7 @@
 	dh_installchangelogs 
 #	dh_installexamples
 	dh_installdocs
-	dh_install --sourcedir=debian/build -v
+	dh_install --sourcedir=debian/tmp -v
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -107,7 +93,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip --dbg-package=libosso1
+	dh_strip --dbg-package=libosso1-dbg
 	dh_compress
 	dh_fixperms
 #	dh_perl
