## libosso 2.9-1

=== debian/changelog ===
libosso (2.9-1) unstable; urgency=low

  * Added dbus_bus_release_name call to osso_deinitialize. Fixes: NB#58518

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 25 May 2007 17:09:58 +0300
