## libosso 2.11-1

=== debian/changelog ===
libosso (2.11-1) unstable; urgency=low

  * Fixed problem in plugin dlopen code. Fixes: NB#59489

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 06 Jun 2007 10:06:44 +0300
