## libosso 2.13-1

=== debian/changelog ===
libosso (2.13-1) unstable; urgency=low

  * Fix some warnings in osso-state.c when using -pedantic
  * Patch from Leonid to improve saw_malloc_hook() in osso-mem.c.
    Fixes: NB#62391

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 03 Jul 2007 15:00:40 +0300
