## libosso 2.13-1.1

=== debian/changelog ===
libosso (2.13-1.1) unstable; urgency=low

  * Increase the version, recompilaiton with glibc2.5 is needed
  * Fixes: NB#64493

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Wed,  8 Aug 2007 17:22:00 +0300
