## libosso 2.13-1.1fix

=== debian/changelog ===
libosso (2.13-1.1fix) unstable; urgency=low

  * Return calling of startup notification. Patch from Johan Bilien.
    Fixes: NB#55837

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 20 Sep 2007 15:27:31 +0300
