## libosso 2.16-1

=== debian/changelog ===
libosso (2.16-1) unstable; urgency=low

  * Added fix for missing startup notification (NB#55837).
  * Removed the mutex code -- too risky for Diablo.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue,  8 Jan 2008 16:21:44 +0200

libosso (2.15-1) unstable; urgency=low

  * Removed reference to gtk_infoprint. Fixes: MB#1779 
  * Added mention about using non-com.nokia application names to
    osso_initialize documentation .
  * Added glib and dbus to libosso.pc.in as required packages. Fixes: NB#75364

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 08 Jan 2008 15:37:08 +0200
